cascading.flow.tez.planner.rule.expressiongraph

## Class BalanceJoinSplitExpression

- java.lang.Object
- - cascading.flow.planner.rule.RuleExpression
  - - cascading.flow.tez.planner.rule.expressiongraph.BalanceJoinSplitExpression

    public class BalanceJoinSplitExpression
    extends RuleExpression

### Field Summary

Fields
`static FlowElementExpression` `SHARED_JOIN`

### Fields inherited from class cascading.flow.planner.rule.RuleExpression

`contractedMatchExpression, contractionExpression, matchExpression`

### Constructor Summary

Constructors
Constructor and Description
`BalanceJoinSplitExpression()`

### Method Summary

### Methods inherited from class cascading.flow.planner.rule.RuleExpression

`getContractedMatchExpression, getContractionExpression, getExpressionName, getMatchExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SHARED_JOIN

    public static final FlowElementExpression SHARED_JOIN

### Constructor Detail

#### BalanceJoinSplitExpression

    public BalanceJoinSplitExpression()